org.eclipse.ease

## Class BreakException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.ease.ScriptExecutionException
        - - org.eclipse.ease.BreakException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ExitException

    public class BreakException
    extends ScriptExecutionException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BreakException()`
`BreakException(java.lang.Object condition)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getCondition()`

### Methods inherited from class org.eclipse.ease.ScriptExecutionException

`getMessage, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BreakException

    public BreakException()

#### BreakException

    public BreakException(java.lang.Object condition)

### Method Detail

#### getCondition

    public java.lang.Object getCondition()